Upstream information

CVE-2010-0205 at MITRE

Description

The png_decompress_chunk function in pngrutil.c in libpng 1.0.x before 1.0.53, 1.2.x before 1.2.43, and 1.4.x before 1.4.1 does not properly handle compressed ancillary-chunk data that has a disproportionately large uncompressed representation, which allows remote attackers to cause a denial of service (memory and CPU consumption, and application hang) via a crafted PNG file, as demonstrated by use of the deflate compression method on data composed of many occurrences of the same character, related to a "decompression bomb" attack.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.8
Vector AV:N/AC:L/Au:N/C:N/I:N/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
SUSE Bugzilla entries: 580484 [RESOLVED / FIXED], 585403 [RESOLVED / DUPLICATE], 608040 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11
  • libpng12-0 >= 1.2.31-5.13.1
  • libpng12-0-32bit >= 1.2.31-5.13.1
  • libpng12-0-x86 >= 1.2.31-5.18.1
Patchnames:
slessp0-libpng-devel
SUSE Linux Enterprise Server 11 SP2
  • libpng12-0 >= 1.2.31-5.25.1
  • libpng12-0-32bit >= 1.2.31-5.25.1
  • libpng12-0-x86 >= 1.2.31-5.25.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA libpng12-0
SUSE Linux Enterprise Server 11 SP3
  • libpng12-0 >= 1.2.31-5.31.1
  • libpng12-0-32bit >= 1.2.31-5.31.1
  • libpng12-0-x86 >= 1.2.31-5.31.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA libpng12-0
SUSE Linux Enterprise Server 11 SP4
  • libpng12-0 >= 1.2.31-5.33.1
  • libpng12-0-32bit >= 1.2.31-5.33.1
  • libpng12-0-x86 >= 1.2.31-5.33.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libpng12-0
SUSE Linux Enterprise Server for SAP Applications 11
  • libpng12-0 >= 1.2.31-5.13.1
  • libpng12-0-32bit >= 1.2.31-5.13.1
  • libpng12-0-x86 >= 1.2.31-5.18.1
Patchnames:
slessp0-libpng-devel
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libpng-devel >= 1.2.31-5.33.1
  • libpng-devel-32bit >= 1.2.31-5.33.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libpng-devel
openSUSE 11.0
  • libpng12-0-debuginfo >= 1.2.26-14.12
  • libpng12-0-debugsource >= 1.2.26-14.12
openSUSE 11.0
  • libpng-devel >= 1.2.26-14.12
  • libpng-devel-32bit >= 1.2.26-14.12
  • libpng-devel-64bit >= 1.2.26-14.12
  • libpng12-0 >= 1.2.26-14.12
  • libpng12-0-32bit >= 1.2.26-14.12
  • libpng12-0-64bit >= 1.2.26-14.12
  • libpng3 >= 1.2.26-14.12
openSUSE 11.1
  • libpng12-0-debuginfo >= 1.2.31-4.39.1
  • libpng12-0-debuginfo-32bit >= 1.2.31-4.39.1
  • libpng12-0-debuginfo-64bit >= 1.2.31-4.39.1
  • libpng12-0-debugsource >= 1.2.31-4.39.1
openSUSE 11.1
  • libpng-devel >= 1.2.31-4.39.1
  • libpng-devel-32bit >= 1.2.31-4.39.1
  • libpng-devel-64bit >= 1.2.31-4.39.1
  • libpng12-0 >= 1.2.31-4.39.1
  • libpng12-0-32bit >= 1.2.31-4.39.1
  • libpng12-0-64bit >= 1.2.31-4.39.1
  • libpng3 >= 1.2.31-4.39.1
openSUSE 11.2
  • libpng12-0-debuginfo >= 1.2.39-2.3.1
  • libpng12-0-debuginfo-32bit >= 1.2.39-2.3.1
  • libpng12-0-debugsource >= 1.2.39-2.3.1
  • libpng3-debuginfo >= 1.2.39-2.3.1
openSUSE 11.2
  • libpng-devel >= 1.2.39-2.3.1
  • libpng-devel-32bit >= 1.2.39-2.3.1
  • libpng12-0 >= 1.2.39-2.3.1
  • libpng12-0-32bit >= 1.2.39-2.3.1
  • libpng3 >= 1.2.39-2.3.1
SUSE Linux Enterprise SDK 11 GA
  • libpng-devel >= 1.2.31-5.13.1
sle11-sdk.ppc
sle11-sdk.x86
sled11.x86-64
sles11.x86-64
sled11.x86
sle11-sdk.s390x
sles11.x86
sles11.ia64
sles11.s390x
sle11-sdk.x86-64
sle11-sdk.ia64
sles11.ppc
SAT Patch Nr: 2161
SUSE Linux Enterprise SDK 11 GA
  • libpng-devel >= 1.2.31-5.13.1
  • libpng-devel-32bit >= 1.2.31-5.13.1
sle11-sdk.ppc
sle11-sdk.x86
sled11.x86-64
sles11.x86-64
sled11.x86
sle11-sdk.s390x
sles11.x86
sles11.ia64
sles11.s390x
sle11-sdk.x86-64
sle11-sdk.ia64
sles11.ppc
SAT Patch Nr: 2161
SUSE Linux Enterprise Desktop 11 GA
  • libpng-devel >= 1.2.31-5.13.1
  • libpng12-0 >= 1.2.31-5.13.1
sle11-sdk.ppc
sle11-sdk.x86
sled11.x86-64
sles11.x86-64
sled11.x86
sle11-sdk.s390x
sles11.x86
sles11.ia64
sles11.s390x
sle11-sdk.x86-64
sle11-sdk.ia64
sles11.ppc
SAT Patch Nr: 2161
SUSE Linux Enterprise Desktop 11 GA
  • libpng-devel >= 1.2.31-5.13.1
  • libpng12-0 >= 1.2.31-5.13.1
  • libpng12-0-32bit >= 1.2.31-5.13.1
sle11-sdk.ppc
sle11-sdk.x86
sled11.x86-64
sles11.x86-64
sled11.x86
sle11-sdk.s390x
sles11.x86
sles11.ia64
sles11.s390x
sle11-sdk.x86-64
sle11-sdk.ia64
sles11.ppc
SAT Patch Nr: 2161
SUSE Linux Enterprise Server 11 GA
  • libpng12-0 >= 1.2.31-5.13.1
sle11-sdk.ppc
sle11-sdk.x86
sled11.x86-64
sles11.x86-64
sled11.x86
sle11-sdk.s390x
sles11.x86
sles11.ia64
sles11.s390x
sle11-sdk.x86-64
sle11-sdk.ia64
sles11.ppc
SAT Patch Nr: 2161
SUSE Linux Enterprise Server 11 GA
  • libpng12-0 >= 1.2.31-5.13.1
  • libpng12-0-x86 >= 1.2.31-5.13.1
sle11-sdk.ppc
sle11-sdk.x86
sled11.x86-64
sles11.x86-64
sled11.x86
sle11-sdk.s390x
sles11.x86
sles11.ia64
sles11.s390x
sle11-sdk.x86-64
sle11-sdk.ia64
sles11.ppc
SAT Patch Nr: 2161
SUSE Linux Enterprise Server 11 GA
  • libpng12-0 >= 1.2.31-5.13.1
  • libpng12-0-32bit >= 1.2.31-5.13.1
sle11-sdk.ppc
sle11-sdk.x86
sled11.x86-64
sles11.x86-64
sled11.x86
sle11-sdk.s390x
sles11.x86
sles11.ia64
sles11.s390x
sle11-sdk.x86-64
sle11-sdk.ia64
sles11.ppc
SAT Patch Nr: 2161
SUSE Linux Enterprise 11 Moblin 2.0
  • libpng12-0-debuginfo >= 1.2.39-1.3.1
  • libpng12-0-debugsource >= 1.2.39-1.3.1
SAT Patch Nr: 2163
SUSE Linux Enterprise 11 Moblin 2.0
  • libpng12-0 >= 1.2.39-1.3.1
SAT Patch Nr: 2163
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
  • libpng12-0 >= 1.2.31-5.13.1
sles11-sp1.ppc
sles11-sp1.x86-64
sled11-sp1.x86-64
sled11-sp1.x86
sles11-sp1.ppc
sles11-sp1.ia64
sles11-sp1.s390x
sled11-sp1.x86-64
sles11-sp1.ia64
sles11-sp1.s390x
sled11-sp1.x86
sles11-sp1.x86-64
sles11-sp1.x86
sles11-sp1.x86
SAT Patch Nr: 2473
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
  • libpng12-0 >= 1.2.31-5.13.1
  • libpng12-0-32bit >= 1.2.31-5.13.1
sles11-sp1.ppc
sles11-sp1.x86-64
sled11-sp1.x86-64
sled11-sp1.x86
sles11-sp1.ppc
sles11-sp1.ia64
sles11-sp1.s390x
sled11-sp1.x86-64
sles11-sp1.ia64
sles11-sp1.s390x
sled11-sp1.x86
sles11-sp1.x86-64
sles11-sp1.x86
sles11-sp1.x86
SAT Patch Nr: 2473
SUSE Linux Enterprise Server 11 SP1
  • libpng12-0 >= 1.2.31-5.13.1
  • libpng12-0-x86 >= 1.2.31-5.13.1
sles11-sp1.ppc
sles11-sp1.x86-64
sled11-sp1.x86-64
sled11-sp1.x86
sles11-sp1.ppc
sles11-sp1.ia64
sles11-sp1.s390x
sled11-sp1.x86-64
sles11-sp1.ia64
sles11-sp1.s390x
sled11-sp1.x86
sles11-sp1.x86-64
sles11-sp1.x86
sles11-sp1.x86
SAT Patch Nr: 2473
Open Enterprise Server
  • libpng >= 1.2.5-182.28
  • libpng-devel >= 1.2.5-182.28
core9.ia64
core9.s390
core9.x86-64
core9.ppc
sles9-nlpos.x86
sles9-oes.x86
core9.s390x
core9.x86
YOU Patch Nr: 12599
SUSE Linux Enterprise Desktop 10 SP3 for x86
SUSE Linux Enterprise Server 10 SP3
  • libpng >= 1.2.8-19.28.1
  • libpng-devel >= 1.2.8-19.28.1
sles10-sp3.x86-64
sled10-sp3.x86-64
sles10-sp3.ppc
sles10-sp3.x86
sles10-sp3.s390x
sles10-sp3.ia64
sled10-sp3.x86
ZYPP Patch Nr: 6933
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • libpng >= 1.2.8-19.28.1
  • libpng-32bit >= 1.2.8-19.28.1
  • libpng-devel >= 1.2.8-19.28.1
  • libpng-devel-32bit >= 1.2.8-19.28.1
sles10-sp3.x86-64
sled10-sp3.x86-64
sles10-sp3.ppc
sles10-sp3.x86
sles10-sp3.s390x
sles10-sp3.ia64
sled10-sp3.x86
ZYPP Patch Nr: 6933
SUSE Linux Enterprise Server 10 SP3
  • libpng >= 1.2.8-19.28.1
  • libpng-devel >= 1.2.8-19.28.1
  • libpng-x86 >= 1.2.8-19.28.1
sles10-sp3.x86-64
sled10-sp3.x86-64
sles10-sp3.ppc
sles10-sp3.x86
sles10-sp3.s390x
sles10-sp3.ia64
sled10-sp3.x86
ZYPP Patch Nr: 6933
SUSE Linux Enterprise Server 10 SP3
  • libpng >= 1.2.8-19.28.1
  • libpng-64bit >= 1.2.8-19.28.1
  • libpng-devel >= 1.2.8-19.28.1
  • libpng-devel-64bit >= 1.2.8-19.28.1
sles10-sp3.x86-64
sled10-sp3.x86-64
sles10-sp3.ppc
sles10-sp3.x86
sles10-sp3.s390x
sles10-sp3.ia64
sled10-sp3.x86
ZYPP Patch Nr: 6933
SUSE Linux Enterprise 11 Moblin 2.1
  • libpng12-0 >= 1.2.39-1.4.1
SAT Patch Nr: 2164


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 libpng Released
SUSE Linux Enterprise Desktop 10 SP4 libpng Released
SUSE Linux Enterprise Server 10 SP3 libpng Released
SUSE Linux Enterprise Server 10 SP4 libpng Released
SUSE Linux Enterprise Server 10 SP4 LTSS libpng Released